<template>
   <div class="wrapper">
    <div class="discountProgramm">
        <div class="discountProgramm__left-wrapper" v-show="!formIsActive">
            <h3 class="discountProgramm__title">{{ local.title[$lang] }}</h3>
            <p  class="discountProgramm__description">
                {{ local.description[$lang] }}
            </p>
             <p class="discountProgramm__title-info">
                 {{ local.integrationWithCash.title[$lang] }}
            </p>
            <ul>
                <li>{{ local.integrationWithCash.oneC[$lang] }}</li>
                <li>R-keeper;</li>
                <li>{{ local.integrationWithCash.hatchM[$lang] }}</li>
                <li>liko;</li>
                <li>{{ local.integrationWithCash.electronicMoney[$lang] }}.</li>
            </ul>
            <p class="discountProgramm__title-info">
                {{ local.integrationWithInternetShop.title[$lang] }}
            </p>
            <ul>
                <li>1С-Битрикс;</li>
                <li>Joomla;</li>
                <li>NetCat;</li>
                <li>AMIRO.CMS;</li>
                <li>WordPress;</li>
                <li>CS-Cart.</li>
            </ul>
            <p class="discountProgramm__title-info">
                {{ local.separateSoftwarePackage[$lang] }}
            </p>

            <img class="form-close"
                 src="/assets/img/close.png"
                 alt=""
                 @click="$parent.$parent.closeModal()"
            >
        </div>

        <div class="discountProgramm__right-wrapper-mobile">
            <input @click="formIsActive = true"
                   v-if="!formIsActive"
                   type="submit"
                   value="Подключить"
                   class="form-submit"
            >
            <AccessForm @formClosedEvent="handlerClosedEvent"
                        v-else
                        class="discountProgramm__access-form"

            >{{ local.accessFormSlot[$lang] }}</AccessForm>
        </div>

        <div class="discountProgramm__right-wrapper">
            <AccessForm @formClosedEvent="handlerClosedEvent"
                        class="discountProgramm__access-form"

            >{{ local.accessFormSlot[$lang] }}</AccessForm>
        </div>




    </div>
   </div> 
</template>

<script>
    import AccessForm from './AccessForm.vue';
    import local from '../../localisation/modals/discountProgramLocalisation.js';
    import {METHODS} from 'http';

    export default {
        data: () => ({
            local,
            formIsActive: false
        }),
        components: {
            AccessForm,
        },
        methods: {
            handlerClosedEvent() {
                this.$emit('discountProgrammClosedEvent');
            },
        },
    };
</script>

<style lang="scss" scoped>

    
</style>
